curl --request PATCH \
--url https://api.synctera.com/v2/reward_products/{reward_product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Cashback rewards for premium checking accounts",
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
]
}
'import requests
url = "https://api.synctera.com/v2/reward_products/{reward_product_id}"
payload = {
"description": "Cashback rewards for premium checking accounts",
"name": "Premium Cashback Rewards",
"reward_config_ids": ["5c943c51-e4ff-4e57-9558-08cab6b96398"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Cashback rewards for premium checking accounts',
name: 'Premium Cashback Rewards',
reward_config_ids: ['5c943c51-e4ff-4e57-9558-08cab6b96398']
})
};
fetch('https://api.synctera.com/v2/reward_products/{reward_product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"creation_time": "2024-01-15T10:00:00Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"description": "Cashback rewards for premium checking accounts"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update a reward product
Update the name, description, status, or reward_config_ids of a reward product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of a reward product.
"7d943c51-e4ff-4e57-9558-08cab6b96312"
Body
Reward product fields to update
Description of the reward product bundle.
"Cashback rewards for premium checking accounts"
Name of the reward product bundle.
"Premium Cashback Rewards"
Reward config IDs associated with this product.
["5c943c51-e4ff-4e57-9558-08cab6b96398"]
active, inactive Response
Updated reward product
Name of the reward product bundle.
"Premium Cashback Rewards"
Reward config IDs associated with this product.
["5c943c51-e4ff-4e57-9558-08cab6b96398"]
active, inactive "2024-01-15T10:00:00Z"
Unique identifier for this reward product.
"7d943c51-e4ff-4e57-9558-08cab6b96312"
"2024-06-01T12:00:00Z"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Description of the reward product bundle.
"Cashback rewards for premium checking accounts"
Was this page helpful?

